PropertyReportTask (Gradle API 9.6.0)
Description: declaration: package: org.gradle.api.tasks.diagnostics, class: PropertyReportTask

Package org.gradle.api.tasks.diagnostics

# Class PropertyReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.diagnostics.ConventionReportTask
org.gradle.api.tasks.diagnostics.AbstractProjectBasedReportTask<PropertyReportTask.PropertyReportModel>
org.gradle.api.tasks.diagnostics.PropertyReportTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not worth caching") public abstract class PropertyReportTask extends AbstractProjectBasedReportTask<PropertyReportTask.PropertyReportModel>
Displays the properties of a project. An instance of this type is used when you execute the `properties` task from the command-line.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `PropertyReportTask.PropertyReportModel`
  Model for the report.

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyReportTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected PropertyReportTask.PropertyReportModel`
  `calculateReportModelFor(Project project)`
  `protected void`
  `generateReportFor(org.gradle.api.tasks.diagnostics.internal.ProjectDetails project, PropertyReportTask.PropertyReportModel model)`
  `abstract Property<String>`
  `getProperty()`
  Defines a specific property to report.
  `org.gradle.api.tasks.diagnostics.internal.ReportRenderer`
  `getRenderer()`
  `void`
  `setRenderer(org.gradle.api.tasks.diagnostics.internal.PropertyReportRenderer renderer)`

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractProjectBasedReportTask

  `action, generateReportFooterFor, generateReportHeaderFor`

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.ConventionReportTask

  `clickableOutputFileUrl, getClientMetaData, getOutputFile, getProjectReportDirectory, getProjects, getTextOutputFactory, logClickableOutputFileUrl, reportGenerator, setOutputFile, setProjects, shouldCreateReportFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### PropertyReportTask

    public PropertyReportTask()

- ## Method Details

  - ### getProperty

    @Incubating @Input @Optional public abstract Property<String> getProperty()
    Defines a specific property to report. If not set then all properties will appear in the report.
    Since:
      7.5

  - ### getRenderer

    @Internal public org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()
    Specified by:
      `getRenderer` in class `ConventionReportTask`

  - ### setRenderer

    public void setRenderer(org.gradle.api.tasks.diagnostics.internal.PropertyReportRenderer renderer)

  - ### calculateReportModelFor

    protected PropertyReportTask.PropertyReportModel calculateReportModelFor(Project project)
    Specified by:
      `calculateReportModelFor` in class `AbstractProjectBasedReportTask<PropertyReportTask.PropertyReportModel>`

  - ### generateReportFor

    protected void generateReportFor(org.gradle.api.tasks.diagnostics.internal.ProjectDetails project, PropertyReportTask.PropertyReportModel model)
    Specified by:
      `generateReportFor` in class `AbstractProjectBasedReportTask<PropertyReportTask.PropertyReportModel>`